View Issue Details

IDProjectCategoryView StatusLast Update
13154Bug reports[All Projects] Survey takingpublic2018-01-16 15:15
ReporterjzieglerAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.0.x 
Summary13154: "Resume Later" fails with "General error: 1364 Field 'saved_thisstep' doesn't have a default value"
Description

When trying to save answers with "Resume Later" the user receives the following error after entering a valid username and password:

Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 1364 Field 'saved_thisstep' doesn't have a default value

Steps To Reproduce
  • Create new survey
  • Create two questions (long answer)
  • Allow users to resume later
  • Enable the survey
  • Take the survey
  • Enter an answer for question 1
  • Click next/save
  • Click "Resume Later" and do not answer question 2
  • Enter a username and password
  • Submit
  • The error should now be showing
Additional Information

Prior to this version of LimeSurvey, I had installed and started to use v3.0.0 (build 171222). I had encountered the bug involving saving multiple choice answers and upgraded when I read that the new release fixed that issue. Post upgrade, the database appears to not have updated appropriately, and I had to alter one column:

ALTER TABLE answers ALTER COLUMN assessment_value SET DEFAULT '0';

Thanks for your help and time!

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0.1+171228
I will donate to the project if issue is resolvedNo
BrowserChome 63.0.3239.84
Database & DB-VersionMySql 14.14 Distrib 5.7.20
Operating System (Server)Ubuntu 16.04.3
Webserver software & versionApache 2.4.18-2ubuntu3.5
PHP VersionPHP 7.0.22-0ubuntu0.16.04.1

Relationships

has duplicate 13162 closedollehar fail to save an unfinish survey 

Activities

LouisGac

LouisGac

2018-01-10 18:03

manager   ~45552

@markus can you have a look to the assessment_value default value? If I remember well you pushed something about it last week

LouisGac

LouisGac

2018-01-10 18:24

manager   ~45553

first analysis about the Save problem:

https://github.com/LimeSurvey/LimeSurvey/blob/2.73.0%2B171219/application/libraries/Save.php#L85

this hidden input is missing in the new form.

markusfluer

markusfluer

2018-01-15 14:50

manager   ~45813

The assessements is already fixed

markusfluer

markusfluer

2018-01-15 14:50

manager   ~45814

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26031

c_schmitz

c_schmitz

2018-01-16 15:15

administrator   ~45838

Version 3.0.4 released

Related Changesets

LimeSurvey: master 30610e4e

2018-01-15 14:49:29

markusfluer

Details Diff
Fixed issue 13154: "Resume Later" fails with "General error: 1364 Field 'saved_thisstep' doesn't have a default value"
mod - application/libraries/Save.php Diff File

Issue History

Date Modified Username Field Change
2018-01-09 22:59 jziegler New Issue
2018-01-10 18:03 LouisGac Note Added: 45552
2018-01-10 18:03 LouisGac Assigned To => markusfluer
2018-01-10 18:03 LouisGac Status new => assigned
2018-01-10 18:24 LouisGac Note Added: 45553
2018-01-15 10:45 LouisGac Relationship added has duplicate 13162
2018-01-15 14:50 markusfluer Status assigned => resolved
2018-01-15 14:50 markusfluer Resolution open => fixed
2018-01-15 14:50 markusfluer Fixed in Version => 3.0.x
2018-01-15 14:50 markusfluer Note Added: 45813
2018-01-15 14:50 markusfluer Changeset attached => LimeSurvey master 30610e4e
2018-01-15 14:50 markusfluer Note Added: 45814
2018-01-16 15:15 c_schmitz Note Added: 45838
2018-01-16 15:15 c_schmitz Status resolved => closed